Share via


Web Apps - Create Instance MS Deploy Operation

Description for Invoke the MSDeploy web app extension.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/instances/{instanceId}/extensions/MSDeploy?api-version=2025-05-01

URI Parameters

Name In Required Type Description
instanceId
path True

string

ID of web app instance.

name
path True

string

Name of web app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
kind

string

Kind of resource.

properties.addOnPackages

MSDeployCore[]

List of Add-On packages. Add-On packages implicitly enable the Do Not Delete MSDeploy rule.

properties.appOffline

boolean

Sets the AppOffline rule while the MSDeploy operation executes. Setting is false by default.

properties.connectionString

string

SQL Connection String

properties.dbType

string

Database Type

properties.packageUri

string

Package URI

properties.setParameters

object

MSDeploy Parameters. Must not be set if SetParametersXmlFileUri is used.

properties.setParametersXmlFileUri

string

URI of MSDeploy Parameters file. Must not be set if SetParameters is used.

properties.skipAppData

boolean

Controls whether the MSDeploy operation skips the App_Data directory. If set to true, the existing App_Data directory on the destination will not be deleted, and any App_Data directory in the source will be ignored. Setting is false by default.

Responses

Name Type Description
201 Created

MSDeployStatus

Resource 'MSDeployStatus' create operation succeeded

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

The request conflicts with the current state of the server.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

MSDeploy

MSDeploy ARM PUT information

MSDeployCore

MSDeploy ARM PUT core information

MSDeployProvisioningState

Provisioning state

MSDeployStatus

MSDeploy ARM response

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

MSDeploy

MSDeploy ARM PUT information

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.addOnPackages

MSDeployCore[]

List of Add-On packages. Add-On packages implicitly enable the Do Not Delete MSDeploy rule.

properties.appOffline

boolean

Sets the AppOffline rule while the MSDeploy operation executes. Setting is false by default.

properties.connectionString

string

SQL Connection String

properties.dbType

string

Database Type

properties.packageUri

string

Package URI

properties.setParameters

object

MSDeploy Parameters. Must not be set if SetParametersXmlFileUri is used.

properties.setParametersXmlFileUri

string

URI of MSDeploy Parameters file. Must not be set if SetParameters is used.

properties.skipAppData

boolean

Controls whether the MSDeploy operation skips the App_Data directory. If set to true, the existing App_Data directory on the destination will not be deleted, and any App_Data directory in the source will be ignored. Setting is false by default.

type

string

Resource type.

MSDeployCore

MSDeploy ARM PUT core information

Name Type Description
appOffline

boolean

Sets the AppOffline rule while the MSDeploy operation executes. Setting is false by default.

connectionString

string

SQL Connection String

dbType

string

Database Type

packageUri

string

Package URI

setParameters

object

MSDeploy Parameters. Must not be set if SetParametersXmlFileUri is used.

setParametersXmlFileUri

string

URI of MSDeploy Parameters file. Must not be set if SetParameters is used.

skipAppData

boolean

Controls whether the MSDeploy operation skips the App_Data directory. If set to true, the existing App_Data directory on the destination will not be deleted, and any App_Data directory in the source will be ignored. Setting is false by default.

MSDeployProvisioningState

Provisioning state

Value Description
accepted
running
succeeded
failed
canceled

MSDeployStatus

MSDeploy ARM response

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.complete

boolean

Whether the deployment operation has completed

properties.deployer

string

Username of deployer

properties.endTime

string (date-time)

End time of deploy operation

properties.provisioningState

MSDeployProvisioningState

Provisioning state

properties.startTime

string (date-time)

Start time of deploy operation

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.